// vim:fileencoding=utf-8:foldmethod=marker

#include "termcolour.h"
#include "terminal_colours.h"
#include "../../../base/strings/str8/str8.h"

void wapp_shell_termcolour_print_text(Str8RO *text, TerminalColour colour) {
  if (colour < WAPP_TERM_COLOUR_FG_BLACK || colour > WAPP_TERM_COLOUR_FG_BR_WHITE) {
    return;
  }

  print_coloured_text(text, colour);
}

void wapp_shell_termcolour_clear_colour(void) {
  Str8RO empty = wapp_str8_lit_ro("");
  print_coloured_text(&empty, WAPP_TERM_COLOUR_CLEAR);
}
